# frozen_string_literal: true

require_relative 'config'

module Zashoku
  class ViewConfig < Zashoku::Config
    CONF_FILE = File.join(CONF_DIR, '/view.yml')

    def module_conf
      Zashoku.modules.map do |_k, mod|
        mod.send(:view_config)
      end
    end

    def base_conf
      Zashoku::Util.deep_merge(
        Util.get_yaml(File.join(Zashoku::Root, 'config/view.yml')),
        Util.get_yaml(File.join(Zashoku::CConf[:app][:root], 'config/view.yml')),
      )
    end
  end
end
