# frozen_string_literal: true

module Zashoku
  class Item
    attr_accessor :attr
    def initialize(attributes)
      @attributes = attributes
      keys = []
      @attr = attributes.map { |k, v|
        pk = k.to_s.chars.map { |c| [c, c.swapcase] }.flatten
        kc = 0
        kc += 1 while kc < pk.length && keys.include?(pk[kc])
        keys << pk[kc]
        [pk[kc], v]
      }.to_h
    end

    def method_missing(m, *args, &block)
      return @attributes[m.to_s] if @attributes.key?(m.to_s)
      #raise "error #{m} not found"
      super
    end
  end
end
